#include "output.h"

#include "constants.h"

output::output():
        contents{DISPLAY_BUFFER_SIZE, 0} {
        for (int i = 0; i < DISPLAY_BUFFER_SIZE; ++i)
                contents.push_back(0);
}

void output::clear() {
        contents.clear();
        contents.reserve(DISPLAY_BUFFER_SIZE);

        for (int i = 0; i < DISPLAY_BUFFER_SIZE; ++i)
                contents.push_back(0);
}
